
Redmine - Defect #8823

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

2011-07-15 10:07 - Sergey Kolodyazhnyy

Status: Closed Start date: 2009-09-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.0

Description

I'm running redmine on the separate server as an SVN repository. The repository is accessed with HTTPS protocol. When I trying to

fetch changs from this repo I get and exception in log file:

No close tag for /lists/list

Line:.

Position:.

Last 80 unconsumed characters:

Output was:

 <?xml version="1.0"?>

<lists>

<list

   path="https://mysvnrepository/svn/project1">

 I have tried to access to repository from command line, and it's works well:

redmine# sudo -u wwwdata svn ls https://mysvnrepository/svn/project1 --trust-server-cert --usernam

e j.doe --password *** --non-interactive --no-auth-cache --verbose

     90 i.doe                 Jul 15 10:24 ./

      1 VisualSV              Jun 27 10:34 branches/

      1 VisualSV              Jun 27 10:34 tags/

     90 i.doe                 Jul 15 10:24 trunk/

 

Component Versions

MySQL 5.1.57

Ruby 1.8.7 [amd64-freebsd8]

Rails 2.3.11

Redmine 1.2-stable (rev 6270)

SVN 1.6.16 (r1073529)

OS Freebsd 8

VisualSVN Server via HTTPS

Related issues:

Related to Redmine - Defect #3929: Error parsing svn output: #<REXML::ParseEx... Closed 2009-09-26

History

#1 - 2011-07-15 10:22 - Felix Schäfer

Sergey Kolodyazhnyy wrote:

I have tried to access to repository from command line, and it's works well:

[…]

 It seems you're using a self-signed certificate: the adapter doesn't --trust-server-cert, you'll have to log in as the user Redmine runs as and

permanently accept the certificate for it. Or install the certificate of the remote machine on the server Redmine runs on, or use a valid certificate, or…

#2 - 2011-07-15 10:40 - Sergey Kolodyazhnyy

Yep, you are right... it's already done. Certificate was accepted permanently. As you can see, I use sudo to check ls command result, and it works
#3 - 2011-07-15 11:11 - Sergey Kolodyazhnyy

I would believe in access problems if I had not seen part of the XML output in a log

#4 - 2011-07-15 11:50 - Toshi MARUYAMA

Apache passenger process user is not wwwdata.

It is Redmine source owner.

$ ls -la /REDMINE/MY-REDMINE/test-3000/.hgignore 

-rw-rw-r-- 1 somenone somenone 479 2011-04-27 21:32 /REDMINE/MY-REDMINE/test-3000/.hgignore

#5 - 2011-07-15 11:50 - Toshi MARUYAMA

- Resolution deleted (Fixed)

#6 - 2011-07-15 11:57 - Toshi MARUYAMA

$ ps -ef | grep apache

apache    2475  2469  0 17:59 ?        00:00:00 /usr/sbin/httpd

root      2499  2469  0 17:59 ?        00:00:00 /usr/lib/ruby/gems/1.8/gems/passenger-2.2.11/ext/apache2/Appli

cationPoolServerExecutable 0 /usr/lib/ruby/gems/1.8/gems/passenger-2.2.11/bin/passenger-spawn-server  /usr/bin

/ruby  /tmp/passenger.2454

apache    2505  2469  0 17:59 ?        00:00:00 /usr/sbin/httpd

apache    2506  2469  0 17:59 ?        00:00:00 /usr/sbin/httpd

apache    2507  2469  0 17:59 ?        00:00:00 /usr/sbin/httpd

apache    3407  2469  0 18:41 ?        00:00:00 /usr/sbin/httpd

 
$ ps -ef | grep someone

someone    3529  2500  2 18:44 ?        00:00:19 Passenger ApplicationSpawner: /REDMINE/MY-REDMINE/test-3000  

                                                                                                          

someone    3538     1  0 18:45 ?        00:00:02 Rails: /REDMINE/MY-REDMINE/test-3000  

#7 - 2011-07-15 14:27 - Sergey Kolodyazhnyy

It so happens that the owner is wwwdata.

redmine# ps -Au | grep Passenger

root     52989  0.0  0.1 30740 11260  ??  SJ    1:30PM   0:06.63 ruby18: Passenger spawn server (ruby18)

wwwdata   56999  0.0  0.7 152480 109380  ??  IJ    3:14PM   0:05.66 ruby18: Passenger ApplicationSpawner: /home/wwwdata/data/www/Redmine

(ruby18)

Bt the way, my Apache runned by www user

#8 - 2011-07-15 14:29 - Sergey Kolodyazhnyy

And ls command result:

refixs# ls -la

total 44

drwxr-xr-x  17 wwwdata  wwwdata  512 Jul 12 11:02 .

drwxr-x--x   7 wwwdata  wwwdata  512 Jul  7 15:07 ..

-rw-r--r--   1 wwwdata  wwwdata  477 Jul 12 11:02 .gitignore

-rw-r--r--   1 wwwdata  wwwdata  479 Jul 12 11:02 .hgignore

drwxr-xr-x   6 wwwdata  wwwdata  512 Jul 15 00:47 .svn

-rw-r--r--   1 wwwdata  wwwdata  208 Feb  2 19:42 README.rdoc

-rw-r--r--   1 wwwdata  wwwdata  307 Feb  2 19:42 Rakefile

drwxr-xr-x   8 wwwdata  wwwdata  512 Feb  2 19:42 app

drwxr-xr-x   6 wwwdata  wwwdata  512 Jul 12 11:02 config

drwxr-xr-x   4 wwwdata  wwwdata  512 Feb  2 19:57 db

-rw-r--r--   1 wwwdata  wwwdata  626 Feb  2 22:04 db_fix.php

drwxr-xr-x   3 wwwdata  wwwdata  512 Jul 12 11:02 doc

drwxr-xr-x   6 wwwdata  wwwdata  512 Feb  2 19:42 extra

drwxr-xr-x   3 wwwdata  wwwdata  512 Feb  2 19:42 files

drwxr-xr-x   2 www     www       512 Jul 15 00:01 httpd-logs

drwxr-xr-x   8 wwwdata  wwwdata  512 Jul 12 11:02 lib

drwxrwxrwx   3 wwwdata  wwwdata  512 Jul 13 16:23 log

drwxr-xr-x   9 wwwdata  wwwdata  512 Jul 12 11:02 public

drwxr-xr-x   5 wwwdata  wwwdata  512 Feb  2 19:42 script

drwxr-xr-x   9 wwwdata  wwwdata  512 Jul 12 11:01 test

drwxr-xr-x   7 wwwdata  wwwdata  512 Feb  2 19:42 tmp

drwxr-xr-x   5 wwwdata  wwwdata  512 Feb  2 19:42 vendor

#9 - 2011-07-15 14:44 - Sergey Kolodyazhnyy
- Status changed from New to Resolved

I have sloved my problem. It was not accepted certificate, I have copied it to couple of user .subversion directories and now everything working fine.

Thanks for helping and sorry for disturbing

#10 - 2011-07-15 14:53 - Toshi MARUYAMA

- Status changed from Resolved to Closed
